package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 *
 * 
 * @author dgtly
 * @date 2019-11-05
 */
public class SysThemeInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户标识 */
    private String userId;

    /** 背景颜色 */
    private String bgColorIndex;

    /** 背景图片路径 */
    private String bgImgIndex;

    private String hideImg;

    public String getBgImgIndex() {
        return bgImgIndex;
    }

    public void setBgImgIndex(String bgImgIndex) {
        this.bgImgIndex = bgImgIndex;
    }

    public String getHideImg() {
        return hideImg;
    }

    public void setHideImg(String hideImg) {
        this.hideImg = hideImg;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setBgColorIndex(String bgColorIndex)
    {
        this.bgColorIndex = bgColorIndex;
    }

    public String getBgColorIndex()
    {
        return bgColorIndex;
    }

    @Override
    public String toString() {
        return "SysThemeInfo{" +
                "id=" + id +
                ", userid='" + userId + '\'' +
                ", bgcolor='" + bgColorIndex + '\'' +
                ", bgimg='" + bgImgIndex + '\'' +
                ", hideImg='" + hideImg + '\'' +
                '}';
    }
}
